# Class CIM_WiFiPortCapabilities
extends CIM_NetworkPortCapabilities

CIM_WiFiPortCapabilities is a specialization of CIM_NetworkPortCapabilities that describes the capabilities of a WiFiPort.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Capabilities
|
+--CIM_EnabledLogicalElementCapabilities
|
+--CIM_LogicalPortCapabilities
|
+--CIM_NetworkPortCapabilities
|
+--CIM_WiFiPortCapabilities

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | CIM_WiFiPortCapabilities is a specialization of CIM_NetworkPortCapabilities that describes the capabilities of a WiFiPort.
UMLPackagePath | string | CIM::Device::Ports
Version | string | 2.22.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
OtherSupportedPortTypes | string[] |
Description | string | Additional 802.11 modes supported by the associated WiFiPort, but not listed in the valuemap for SupportedPortTypes.
ModelCorrespondence | string | CIM_WiFiPort.OtherPortType, CIM_WiFiPortCapabilities.SupportedPortTypes
SupportedPortTypes | uint16[] |
Description | string | The 802.11 modes that the Port supports. See description of PortType property in CIM_WiFiPort for more information.
ModelCorrespondence | string | CIM_WiFiPort.PortType, CIM_WiFiPortCapabilities.OtherSupportedPortTypes
ValueMap | string | 0, 1, 70, 71, 72, 73, .., 16000..
Values | string | Unknown, Other, 802.11a, 802.11b, 802.11g, 802.11n, DMTF Reserved, Vendor Reserved

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
AutoSenseSpeedConfigurable | boolean | CIM_LogicalPortCapabilities
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
ElementName | string | CIM_Capabilities
ElementNameEditSupported | boolean | CIM_EnabledLogicalElementCapabilities
ElementNameMask | string | CIM_EnabledLogicalElementCapabilities
InstanceID | string | CIM_Capabilities
MaxElementNameLen | uint16 | CIM_EnabledLogicalElementCapabilities
NetworkIDsConfigurable | boolean | CIM_NetworkPortCapabilities
NetworkIDsFormat | uint16 | CIM_NetworkPortCapabilities
SpeedConfigurable | boolean | CIM_NetworkPortCapabilities
LinkTechnologiesSupported | uint16[] | CIM_NetworkPortCapabilities
PortSpeedsSupported | uint64[] | CIM_NetworkPortCapabilities
RequestedSpeedsSupported | uint64[] | CIM_LogicalPortCapabilities
RequestedStatesSupported | uint16[] | CIM_EnabledLogicalElementCapabilities

## Class Methods